Debian Bug report logs - #206859
ITA: autotrace - bitmap to vector graphics converter

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 23 Aug 2003 14:33:22 UTC

Owned by: Henning Makholm <henning@makholm.net>

Severity: normal

Tags: fixed

Done: Henning Makholm <henning@makholm.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206859; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Harry Henry Gebel <hgebel@debian.org>
Subject: O: autotrace -- Bitmap to vector graphics converter
Date: Sun, 24 Aug 2003 00:19:55 +1000
Package: wnpp
Severity: normal

The current maintainer of autotrace, Harry Henry Gebel
<hgebel@debian.org>, is apparently not active anymore.  Therefore, I
orphan this package now.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: autotrace
Binary: autotrace
Version: 0.29-1.3
Priority: optional
Section: graphics
Maintainer: Harry Henry Gebel <hgebel@debian.org>
Build-Depends: debhelper (>> 3.0.0), libpng3-dev, zlib1g-dev, liblcms1-dev, libdps-dev, libfreetype6-dev, libjpeg62-dev, libmagick-dev, libtiff3g-dev, libxml2-dev, xlibs-dev, libwmf-dev (>= 0.2.7), libbz2-dev
Architecture: any
Standards-Version: 3.5.6
Format: 1.0
Directory: pool/main/a/autotrace
Files: 08be193137ea133d910cb460f5ce41d5 747 autotrace_0.29-1.3.dsc
 39ff756fc6d8a8cdd4616e311e1066b8 212608 autotrace_0.29.orig.tar.gz
 1bd48abdb9c29aa2454c3804fcd48a01 4242 autotrace_0.29-1.3.diff.gz

Package: autotrace
Priority: optional
Section: graphics
Installed-Size: 252
Maintainer: Harry Henry Gebel <hgebel@debian.org>
Architecture: i386
Version: 0.29-1.3
Depends: libbz2-1.0, libc6 (>= 2.3.1-1), libdps1 (>> 4.1.0), libfreetype6 (>= 2.1.1-1), libjpeg62, liblcms1 (>= 1.08-1), libmagick5.5.1, libpng12-0, libtiff3g, libwmf0.2-7, libxml2 (>= 2.4.19-4), xlibs (>> 4.1.0), zlib1g (>= 1:1.1.4)
Filename: pool/main/a/autotrace/autotrace_0.29-1.3_i386.deb
Size: 79604
MD5sum: d364419341bfbef8a722d9d99e76a4d5
Description: Bitmap to vector graphics converter
 AutoTrace is a program for converting bitmaps to vector graphics. The aim
 of the AutoTrace project is the development of a freely-available
 application similar to CorelTrace or Adobe Streamline. In some aspects it
 is already better. Originally created as a plugin for the GIMP,
 AutoTrace is now a standalone program.

Justification: Countless NMUs, hasn't been seen since 2002, was
contacted, outstanding RC bugs

-- 
Martin Michlmayr
tbm@cyrius.com



Information stored:
Bug#206859; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Artur R. Czechowski" <arturcz@hell.pl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 206859-quiet@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: 208508-submitter@bugs.debian.org
Cc: 206859-quiet@bugs.debian.org, debian-devel@lists.debian.org
Subject: bitmap vectorizers
Date: Mon, 8 Sep 2003 20:46:53 +0200
[ note: I have no interests in denying any of those packages, there is ]
[ a result of digging through wnpp bugs                                ]

Hello,
There are two packages looking similar:
#206859: O: autotrace -- Bitmap to vector graphics converter
#208508: ITP: potrace -- utility to transform bitmaps into vector graphics

Maybe them should be compared and better one schould be choosed?

Cheers
	Artur
-- 
http://hell.pl/arturcz/



Information stored:
Bug#206859; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bartosz Feński aka fEnIo <fenio@o2.pl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 206859-quiet@bugs.debian.org (full text, mbox):

From: Bartosz Feński aka fEnIo <fenio@o2.pl>
To: 208508-submitter@bugs.debian.org, 206859-quiet@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#208508: bitmap vectorizers
Date: Tue, 9 Sep 2003 10:23:43 +0200
[Message part 1 (text/plain, inline)]
On Mon, Sep 08, 2003 at 08:46:53PM +0200, Artur R. Czechowski wrote:
> [ note: I have no interests in denying any of those packages, there is ]
> [ a result of digging through wnpp bugs                                ]
> 
> Hello,
> There are two packages looking similar:
> #206859: O: autotrace -- Bitmap to vector graphics converter
> #208508: ITP: potrace -- utility to transform bitmaps into vector graphics
> 
> Maybe them should be compared and better one schould be choosed?
Sure. Why not, but who would be the "compariser" ? ;)
http://autotrace.sourceforge.net/screenshot.gif
http://potrace.sourceforge.net/samples.html

I can't adopt autotrace because it's too dificult for me right now.
It has his own library and many dependencies. I am learning packaging yet. 
Autotrace last version was released on 11 September 2002. That's almost
one year of inactivity. Besides IMHO potrace output looks much better. 
Last but not least why Debian shouldn't has two (or more) tracing packages? 
He has many web servers, mail servers and so on.

regards
fEnIo
-- 
      _     Bartosz Feński aka fEnIo | mailto:fenio@o2.pl | pgp:0x13fefc40 
    _|_|_    32-050 Skawina - Głowackiego 3/15 - w. małopolskie - Polska
    (0 0)     phone:+48501608340 | ICQ:46704720 | GG:726362 | IRC:fEnIo
ooO--(_)--Ooo http://skawina.eu.org | JID:fenio@jabber.org | RLU:172001
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206859; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #20 received at 206859@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: control@bugs.debian.org
Cc: 206859@bugs.debian.org
Subject: orphaned, has RC bug
Date: Sun, 5 Oct 2003 18:09:59 +1000
reassign 206859 ftp.debian.org
retitle 206859 Please remove autotrace
thanks

This package is orphaned and has an RC bug.  There's also a similar
tool (potrace) in Debian.

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206859; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #25 received at 206859@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: control@bugs.debian.org
Cc: 206859@bugs.debian.org, Anthony Fok <foka@debian.org>
Subject: Re: orphaned, has RC bug
Date: Sun, 5 Oct 2003 18:12:33 +1000
reassign 206859 wnpp
retitle 206859 O: autotrace -- Bitmap to vector graphics converter
thanks

Blah, lilypond build-depends on autotrace.  Anthony, is it posible to
build-depend on potrace instead?  Or can you adopt autotrace and fix
its RC bug?
-- 
Martin Michlmayr
tbm@cyrius.com



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `ftp.debian.org' to `wnpp'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206859; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #38 received at 206859@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 206859@bugs.debian.org
Cc: Anthony Fok <foka@debian.org>, Julian Gilbey <jdg@debian.org>
Subject: Re: Bug#206859: orphaned, has RC bug
Date: Sun, 5 Oct 2003 09:35:57 +0100
On Sun, Oct 05, 2003 at 06:12:33PM +1000, Martin Michlmayr wrote:
> reassign 206859 wnpp
> retitle 206859 O: autotrace -- Bitmap to vector graphics converter
> thanks
> 
> Blah, lilypond build-depends on autotrace.  Anthony, is it posible to
> build-depend on potrace instead?  Or can you adopt autotrace and fix
> its RC bug?

Also, mftrace depends on autotrace. Julian?

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206859; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #43 received at 206859@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Julian Gilbey <jdg@debian.org>
Cc: Colin Watson <cjwatson@debian.org>, 206859@bugs.debian.org, Anthony Fok <foka@debian.org>, "J.H.M. Dassen" <jdassen@debian.org>
Subject: Re: Bug#206859: orphaned, has RC bug
Date: Wed, 8 Oct 2003 23:43:39 +1000
* Julian Gilbey <jdg@debian.org> [2003-10-08 14:09]:
> I only see one normal and one wishlist bug on autotrace, or am I
> mistaken?  (The others appear to be marked as fixed.)

Oh, hmm, someone did a QA upload yesterday fixing the bug.

> And yes, mftrace does depend on autotrace.  What's the current
> autotrace status?

It's orphaned, so we're looking someone to take over.
-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206859; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #48 received at 206859@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Julian Gilbey <jdg@debian.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, 206859@bugs.debian.org, Anthony Fok <foka@debian.org>
Subject: Re: Bug#206859: orphaned, has RC bug
Date: Wed, 8 Oct 2003 14:44:53 +0100
On Wed, Oct 08, 2003 at 02:09:22PM +0100, Julian Gilbey wrote:
> On Sun, Oct 05, 2003 at 09:35:57AM +0100, Colin Watson wrote:
> > On Sun, Oct 05, 2003 at 06:12:33PM +1000, Martin Michlmayr wrote:
> > > reassign 206859 wnpp
> > > retitle 206859 O: autotrace -- Bitmap to vector graphics converter
> > > thanks
> > > 
> > > Blah, lilypond build-depends on autotrace.  Anthony, is it posible to
> > > build-depend on potrace instead?  Or can you adopt autotrace and fix
> > > its RC bug?
> > 
> > Also, mftrace depends on autotrace. Julian?
> 
> I only see one normal and one wishlist bug on autotrace, or am I
> mistaken?  (The others appear to be marked as fixed.)

Yeah, Ray Dassen fixed the one we were talking about on Sunday,
rendering the parts of this discussion that interest me moot. :)

> And yes, mftrace does depend on autotrace.  What's the current
> autotrace status?

It's not holding up the imagemagick dependency chain much any more,
which helps, but it's still orphaned.

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206859; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #53 received at 206859@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Colin Watson <cjwatson@debian.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, 206859@bugs.debian.org, Anthony Fok <foka@debian.org>
Subject: Re: Bug#206859: orphaned, has RC bug
Date: Wed, 8 Oct 2003 14:09:22 +0100
On Sun, Oct 05, 2003 at 09:35:57AM +0100, Colin Watson wrote:
> On Sun, Oct 05, 2003 at 06:12:33PM +1000, Martin Michlmayr wrote:
> > reassign 206859 wnpp
> > retitle 206859 O: autotrace -- Bitmap to vector graphics converter
> > thanks
> > 
> > Blah, lilypond build-depends on autotrace.  Anthony, is it posible to
> > build-depend on potrace instead?  Or can you adopt autotrace and fix
> > its RC bug?
> 
> Also, mftrace depends on autotrace. Julian?

I only see one normal and one wishlist bug on autotrace, or am I
mistaken?  (The others appear to be marked as fixed.)

And yes, mftrace does depend on autotrace.  What's the current
autotrace status?

   Julian

-- 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

        Julian Gilbey, website: http://www.polya.uklinux.net/
   Debian GNU/Linux Developer, see: http://people.debian.org/~jdg/
     Visit http://www.thehungersite.com/ to help feed the hungry



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206859; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Henning Makholm <henning@makholm.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #58 received at 206859@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: debian-devel@lists.debian.org
Cc: 206859@bugs.debian.org, control@bugs.debian.org
Subject: Re: autotrace - Bitmap to vector graphics converter
Date: 29 Nov 2003 08:30:47 +0000
retitle 206859 ITA: autotrace - bitmap to vector graphics converter
owner 206859 !
thanks

Scripsit Martin Michlmayr <tbm@cyrius.com>

> Is anyone interested in adopting: autotrace - Bitmap to vector
> graphics converter (#206859).

> This package has been orphaned for over 80 days but cannot be removed
> because some packages depend on it.

Hm, it looks benign enough - effectively orphaned for more than a year
yet only two open bugs, diff.gz doesn't touch upstream source much
except autofoo things, written in a language I grok, etc.

I'd be willing to take it, but if somebody who actually uses the thing
regularly steps forward, I won't cling to it.

-- 
Henning Makholm                         "Al lykken er i ét ord: Overvægtig!"



Changed Bug title. Request was from Henning Makholm <henning@makholm.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Henning Makholm <henning@makholm.net>. Request was from Henning Makholm <henning@makholm.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Henning Makholm <henning@makholm.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Henning Makholm <henning@makholm.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #69 received at 206859-done@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: 206859-done@bugs.debian.org
Cc: Peter Makholm <peter@makholm.net>
Subject: Re: Fixed in NMU of autotrace 0.31.1-2
Date: Tue, 9 Dec 2003 22:13:50 +0000
The upload system, pretending to be me, wrote:

> tag 206859 + fixed

> This message was generated automatically in response to a
> non-maintainer upload.

No, you stupid machine! It was a sponsored maintainer upload.

-- 
Henning Makholm                             "... and that Greek, Thucydides"



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Henning Makholm <henning@makholm.net>:
Bug#206859; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Henning Makholm <henning@makholm.net>. Full text and rfc822 format available.

Message #74 received at 206859@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 206859@bugs.debian.org
Cc: Peter Makholm <peter@makholm.net>, Henning Makholm <henning@makholm.net>
Subject: Re: Bug#206859 acknowledged by developer (Re: Fixed in NMU of autotrace 0.31.1-2)
Date: Wed, 10 Dec 2003 09:49:18 +1100
> > This message was generated automatically in response to a
> > non-maintainer upload.
> 
> No, you stupid machine! It was a sponsored maintainer upload.

The machine did the right thing.  Your sponsor has to make sure that
the upload doesn't look like a NMU.  See Developer's Reference "7.5.2.
Managing sponsored packages" how to do that.
-- 
Martin Michlmayr
tbm@cyrius.com



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:55:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.